### Signal

# Gdk FrameClock::update

since: 4.0

#### Declaration

    void
    update (
      GdkFrameClock* self,
      gpointer user_data
    )

#### Description [src]

Emitted as the first step of toolkit and application processing of the frame.

Animations should be updated using `gdk_frame_clock_get_frame_time()`. Applications can connect directly to this signal, or use gtk_widget_add_tick_callback() as a more convenient interface.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0